%define oname system-tools-backends
Summary:	GNOME System Tools Backends
Name: 		system-tools-backends2
Version: 2.2.0
Release: %mkrel 3
License: 	LGPL
Group: 		System/Configuration/Other
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{oname}/%{oname}-%{version}.tar.bz2
Source1: system-tools-backends
Patch0:	system-tools-backends-2.2.0-mandriva.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
URL: 		http://www.gnome.org/projects/gst/
BuildRequires:	dbus-glib-devel
BuildRequires:	perl-Net-DBus
#gw for intltool
BuildRequires:	perl-XML-Parser
Requires(preun): rpm-helper
Requires(post): rpm-helper

%description
Day-to-day system management on Unix systems is a chore. Even when 
you're using a friendly graphical desktop, seemingly basic tasks 
like setting the system time, changing the network setup, importing 
and exporting network shared filesystems and configuring swap partitions 
requires editing configuration files by hand, and the exact procedure 
varies between different operating systems and distributions.

The GNOME System Tools solve all these problems, giving you a simple
graphical interface for each task, which uses an advanced backend to 
edit all the relevant files and apply your changes. The interface 
looks and acts in exactly the same way regardless of what platform 
you're using.

This package contains the backends of GNOME System Tools.

%prep
%setup -q -n %oname-%version
%patch0 -p1 -b .mandriva

%build
%configure2_5x --with-stb-group=wheel
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

install -D -m 755 %SOURCE1 %buildroot%_initrddir/%name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %name
%preun
%_preun_service %name

%files
%defattr(-, root, root)
%doc README AUTHORS NEWS 
%config(noreplace) %_initrddir/%name
%config(noreplace) %_sysconfdir/dbus-1/system.d/system-tools-backends.conf
%_bindir/%oname
%_datadir/dbus-1/services/org.freedesktop.SystemToolsBackends*.service
%_datadir/system-tools-backends-2.0/
%_libdir/pkgconfig/system-tools-backends-2.0.pc


%changelog
* Fri Mar 16 2007 Götz Waschk <waschk@mandriva.org> 2.2.0-3mdv2007.1
+ Revision: 144897
- add initscript

* Fri Mar 16 2007 Götz Waschk <waschk@mandriva.org> 2.2.0-2mdv2007.1
+ Revision: 144884
- fix Mandriva patch

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.2.0-1mdv2007.1
+ Revision: 141703
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Thu Mar 01 2007 Götz Waschk <waschk@mandriva.org> 2.1.4-1mdv2007.1
+ Revision: 130310
- new version

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 2.1.3-1mdv2007.1
+ Revision: 112293
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.1.2-1mdv2007.1
+ Revision: 106365
- new version

* Mon Dec 04 2006 Götz Waschk <waschk@mandriva.org> 2.1.1-1mdv2007.1
+ Revision: 90317
- new version

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 2.1.0-1mdv2007.1
+ Revision: 89554
- use the right configure macro
- fix installation on x86_64
- new version
- make it arch-dependant
- update build deps and file list
- unpack patch

* Sun Nov 26 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-1mdv2007.1
+ Revision: 87342
- new version

* Sun Nov 05 2006 Götz Waschk <waschk@mandriva.org> 1.9.91-1mdv2007.1
+ Revision: 76761
- new version

* Thu Oct 26 2006 Götz Waschk <waschk@mandriva.org> 1.9.90-1mdv2007.1
+ Revision: 73042
- new version
- Import system-tools-backends2



* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 1.9.7-1mdv2007.1
- New version 1.9.7

* Sat Sep 30 2006 Götz Waschk <waschk@mandriva.org> 1.9.6-1mdv2007.0
- New version 1.9.6

* Tue Sep 12 2006 Götz Waschk <waschk@mandriva.org> 1.9.5.1-2mdv2007.0
- set stb group to wheel

* Mon Sep 11 2006 Götz Waschk <waschk@mandriva.org> 1.9.5.1-1mdv2007.0
- New version 1.9.5.1
- update file list

* Sun Aug 13 2006 Götz Waschk <waschk@mandriva.org> 1.9.3-1mdv2007.0
- New release 1.9.3

* Thu Aug  3 2006 Götz Waschk <waschk@mandriva.org> 1.9.2-1mdv2007.0
- initial package
